"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = exports.assertCommand = void 0;
const tslib_1 = require("tslib");
const index_1 = require("../../core/utils/loggin/index");
const budgets_1 = require("./utils/budgets");
exports.assertCommand = {
    command: 'assert',
    description: 'Setup .user-flowrc.json',
    module: {
        handler: (argv) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
            (0, index_1.logVerbose)(`run "assert" as a yargs command`);
            const cfg = yield run(argv);
        })
    }
};
function run(argv) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        (0, index_1.logVerbose)((0, budgets_1.readBudgets)());
        return Promise.resolve();
    });
}
exports.run = run;
//# sourceMappingURL=index.js.map