"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promptParam = void 0;
const tslib_1 = require("tslib");
const enquirer_1 = require("enquirer");
function promptParam(cfg) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        let { type, initial, message, skip, choices, result } = cfg;
        type = type || 'input';
        const { param } = yield (0, enquirer_1.prompt)([
            {
                name: 'param',
                type,
                initial, message, skip, result
            }
        ]);
        return param;
    });
}
exports.promptParam = promptParam;
//# sourceMappingURL=prompt.js.map